require 'adorn/cache'
require 'adorn/railtie' if defined?(Rails::Railtie)

module Adorn
  class Middleware

    def initialize(app)
      @app = app
    end

    def call(env)
      @env = env.dup
      Adorn::Cache.clear!
      @app.call(@env)
    end
  end
end
