require 'adorn/helpers'

module Adorn
  class Railtie < ::Rails::Railtie
    initializer 'adorn.insert_middleware' do |app|
      app.config.middleware.use Adorn::Middleware
    end

    ActiveSupport.on_load(:action_view) do
      include Adorn::Helpers
    end
  end
end
